%define name aqgeldkarte

%define is_mandrake %(test -e /etc/mandrake-release && echo 1 || echo 0)
%define is_suse %(test -e /etc/SuSE-release && echo 1 || echo 0)
%define is_fedora %(test -e /etc/fedora-release && echo 1 || echo 0)

%define dist redhat
%define disttag rh

%if %is_mandrake
%define dist mandrake
%define disttag mdk
%endif
%if %is_suse
%define dist suse
%define disttag suse
%endif
%if %is_fedora
%define dist fedora
%define disttag rhfc
%endif
#
%define version 0.9.0beta

%define distver %(release="`rpm -q --queryformat='%{VERSION}' %{dist}-release 2>/dev/null`" ; if test $? != 0 ; then release="" ; fi ; echo "$release")

# Note: There is not yet a special symbol for the rpm release
# version. We set it to one here.
%define release 1.%{disttag}%{distver}

Name: %{name}
Summary: The DTAUS backend for the Aqbanking library.
Version: %{version}
Release: %{release}
Source: http://download.sourceforge.net/aqbanking/%{name}-%{version}.tar.gz
Group: System Environment/Libraries
License: GPL
Packager: Martin Preuss <stimming@tuhh.de>
URL: http://sourceforge.net/projects/aqgeldkarte
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gettext gwenhywfar-devel aqbanking-devel
Prereq: /sbin/ldconfig
Prefix: %{_prefix}

%description 
This is the backend for the Aqbanking library which 
generates DTAUS discs/files to be sent to the bank.

%package devel
Summary: AqDTAUS development kit
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
%description devel
This package contains aqgeldkarte-config and header files for writing and
compiling programs using AqDTAUS.

%prep
%setup -q

%build
%{configure}
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS README COPYING ChangeLog
%{_libdir}/*.so.*
%{_libdir}/*.so
%{_libdir}/%{name}
%{_libdir}/aqbanking/plugins
%{_datadir}/%{name}
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo

%files devel
%defattr(-,root,root)
%{_bindir}/aqgeldkarte-config
%{_includedir}/aqgeldkarte
%{_libdir}/*.la
%{_libdir}/*.a
%{_datadir}/aclocal/aqgeldkarte.m4
